### Method

# Gsk RenderReplay filter_node

since: 4.22

#### Declaration [src]

    GskRenderNode*
    gsk_render_replay_filter_node (
      GskRenderReplay* self,
      GskRenderNode* node
    )

#### Description [src]

Replays a node using the replay’s filter function.

After the replay the node may be unchanged, or it may be removed, which will result in `NULL` being returned.

If no filter node is set, `gsk_render_replay_default()` is called instead.

Available since: 4.22

#### Parameters

`node`

  Type: `GskRenderNode`

  The node to replay.

  The data is owned by the caller of the method.

#### Return value

Type: `GskRenderNode`

The replayed node.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.